GET /api/v202406/esaplace/{placeId}/placeSize/child

Retrieves the current sizes of all of an ESA place's children. If a place has no children, nothing is returned.

GetEsaPlaceChildrenSizesV202406 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceSizeResponse
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeCode The code for the current place string
placeId The identifier for the current place integer (int32)
placeInfo The name of the current place string
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters string
value The value of the current place size record number (double)
Example Response application/json
[
  {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeSizeId": 1,    "unitCode": "string",    "unitId": 1,    "unitInfo": "string",    "value": 1.0
  }
]